## WebKitDOMHTMLFormElement WebKitDOMHTMLFormElement |

## Functions

void | webkit_dom_html_form_element_submit ()
void | webkit_dom_html_form_element_reset ()
gboolean | webkit_dom_html_form_element_check_validity ()
gchar * | webkit_dom_html_form_element_get_accept_charset ()
void | webkit_dom_html_form_element_set_accept_charset ()
gchar * | webkit_dom_html_form_element_get_action ()
void | webkit_dom_html_form_element_set_action ()
gchar * | webkit_dom_html_form_element_get_autocomplete ()
void | webkit_dom_html_form_element_set_autocomplete ()
gchar * | webkit_dom_html_form_element_get_enctype ()
void | webkit_dom_html_form_element_set_enctype ()
gchar * | webkit_dom_html_form_element_get_encoding ()
void | webkit_dom_html_form_element_set_encoding ()
gchar * | webkit_dom_html_form_element_get_method ()
void | webkit_dom_html_form_element_set_method ()
gchar * | webkit_dom_html_form_element_get_name ()
void | webkit_dom_html_form_element_set_name ()
gboolean | webkit_dom_html_form_element_get_no_validate ()
void | webkit_dom_html_form_element_set_no_validate ()
gchar * | webkit_dom_html_form_element_get_target ()
void | webkit_dom_html_form_element_set_target ()
WebKitDOMHTMLCollection * | webkit_dom_html_form_element_get_elements ()
glong | webkit_dom_html_form_element_get_length ()
gboolean | webkit_dom_html_form_element_get_autocorrect ()
void | webkit_dom_html_form_element_set_autocorrect ()
gchar * | webkit_dom_html_form_element_get_autocapitalize ()
void | webkit_dom_html_form_element_set_autocapitalize ()
void | webkit_dom_html_form_element_dispatch_form_change ()
void | webkit_dom_html_form_element_dispatch_form_input ()

## Properties

gchar * | accept-charset | Read / Write
gchar * | action | Read / Write
gchar * | autocapitalize | Read / Write
gchar * | autocomplete | Read / Write
gboolean | autocorrect | Read / Write
WebKitDOMHTMLCollection * | elements | Read
gchar * | encoding | Read / Write
gchar * | enctype | Read / Write
glong | length | Read
gchar * | method | Read / Write
gchar * | name | Read / Write
gboolean | no-validate | Read / Write
gchar * | target | Read / Write

## Types and Values

| WebKitDOMHTMLFormElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLFormElement

## Implemented Interfaces

WebKitDOMHTMLFormElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_form_element_submit ()

    void
    webkit_dom_html_form_element_submit (WebKitDOMHTMLFormElement *self);

#### Parameters

self | A WebKitDOMHTMLFormElement |

### webkit_dom_html_form_element_reset ()

    void
    webkit_dom_html_form_element_reset (WebKitDOMHTMLFormElement *self);

#### Parameters

self | A WebKitDOMHTMLFormElement |

### webkit_dom_html_form_element_check_validity ()

    gboolean
    webkit_dom_html_form_element_check_validity
                                   (WebKitDOMHTMLFormElement *self);

#### Parameters

self | A WebKitDOMHTMLFormElement |

#### Returns

A gboolean

### webkit_dom_html_form_element_get_accept_charset ()

    gchar *
    webkit_dom_html_form_element_get_accept_charset
                                   (WebKitDOMHTMLFormElement *self);

#### Parameters

self | A WebKitDOMHTMLFormElement |

#### Returns

A gchar

### webkit_dom_html_form_element_set_accept_charset ()

    void
    webkit_dom_html_form_element_set_accept_charset
                                   (WebKitDOMHTMLFormElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLFormElement |
value | A gchar |

### webkit_dom_html_form_element_get_action ()

    gchar *
    webkit_dom_html_form_element_get_action
                                   (WebKitDOMHTMLFormElement *self);

#### Parameters

self | A WebKitDOMHTMLFormElement |

#### Returns

A gchar

### webkit_dom_html_form_element_set_action ()

    void
    webkit_dom_html_form_element_set_action
                                   (WebKitDOMHTMLFormElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLFormElement |
value | A gchar |

### webkit_dom_html_form_element_get_autocomplete ()

    gchar *
    webkit_dom_html_form_element_get_autocomplete
                                   (WebKitDOMHTMLFormElement *self);

#### Parameters

self | A WebKitDOMHTMLFormElement |

#### Returns

A gchar

### webkit_dom_html_form_element_set_autocomplete ()

    void
    webkit_dom_html_form_element_set_autocomplete
                                   (WebKitDOMHTMLFormElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLFormElement |
value | A gchar |

### webkit_dom_html_form_element_get_enctype ()

    gchar *
    webkit_dom_html_form_element_get_enctype
                                   (WebKitDOMHTMLFormElement *self);

#### Parameters

self | A WebKitDOMHTMLFormElement |

#### Returns

A gchar

### webkit_dom_html_form_element_set_enctype ()

    void
    webkit_dom_html_form_element_set_enctype
                                   (WebKitDOMHTMLFormElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLFormElement |
value | A gchar |

### webkit_dom_html_form_element_get_encoding ()

    gchar *
    webkit_dom_html_form_element_get_encoding
                                   (WebKitDOMHTMLFormElement *self);

#### Parameters

self | A WebKitDOMHTMLFormElement |

#### Returns

A gchar

### webkit_dom_html_form_element_set_encoding ()

    void
    webkit_dom_html_form_element_set_encoding
                                   (WebKitDOMHTMLFormElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLFormElement |
value | A gchar |

### webkit_dom_html_form_element_get_method ()

    gchar *
    webkit_dom_html_form_element_get_method
                                   (WebKitDOMHTMLFormElement *self);

#### Parameters

self | A WebKitDOMHTMLFormElement |

#### Returns

A gchar

### webkit_dom_html_form_element_set_method ()

    void
    webkit_dom_html_form_element_set_method
                                   (WebKitDOMHTMLFormElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLFormElement |
value | A gchar |

### webkit_dom_html_form_element_get_name ()

    gchar *
    webkit_dom_html_form_element_get_name (WebKitDOMHTMLFormElement *self);

#### Parameters

self | A WebKitDOMHTMLFormElement |

#### Returns

A gchar

### webkit_dom_html_form_element_set_name ()

    void
    webkit_dom_html_form_element_set_name (WebKitDOMHTMLFormElement *self,
                                           const gchar *value);

#### Parameters

self | A WebKitDOMHTMLFormElement |
value | A gchar |

### webkit_dom_html_form_element_get_no_validate ()

    gboolean
    webkit_dom_html_form_element_get_no_validate
                                   (WebKitDOMHTMLFormElement *self);

#### Parameters

self | A WebKitDOMHTMLFormElement |

#### Returns

A gboolean

### webkit_dom_html_form_element_set_no_validate ()

    void
    webkit_dom_html_form_element_set_no_validate
                                   (WebKitDOMHTMLFormElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLFormElement |
value | A gboolean |

### webkit_dom_html_form_element_get_target ()

    gchar *
    webkit_dom_html_form_element_get_target
                                   (WebKitDOMHTMLFormElement *self);

#### Parameters

self | A WebKitDOMHTMLFormElement |

#### Returns

A gchar

### webkit_dom_html_form_element_set_target ()

    void
    webkit_dom_html_form_element_set_target
                                   (WebKitDOMHTMLFormElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLFormElement |
value | A gchar |

### webkit_dom_html_form_element_get_elements ()

    WebKitDOMHTMLCollection *
    webkit_dom_html_form_element_get_elements
                                   (WebKitDOMHTMLFormElement *self);

#### Parameters

self | A WebKitDOMHTMLFormElement |

#### Returns

A WebKitDOMHTMLCollection.

[transfer none]

### webkit_dom_html_form_element_get_length ()

    glong
    webkit_dom_html_form_element_get_length
                                   (WebKitDOMHTMLFormElement *self);

#### Parameters

self | A WebKitDOMHTMLFormElement |

#### Returns

A glong

### webkit_dom_html_form_element_get_autocorrect ()

    gboolean
    webkit_dom_html_form_element_get_autocorrect
                                   (WebKitDOMHTMLFormElement *self);

#### Parameters

self | A WebKitDOMHTMLFormElement |

#### Returns

A gboolean

### webkit_dom_html_form_element_set_autocorrect ()

    void
    webkit_dom_html_form_element_set_autocorrect
                                   (WebKitDOMHTMLFormElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLFormElement |
value | A gboolean |

### webkit_dom_html_form_element_get_autocapitalize ()

    gchar *
    webkit_dom_html_form_element_get_autocapitalize
                                   (WebKitDOMHTMLFormElement *self);

#### Parameters

self | A WebKitDOMHTMLFormElement |

#### Returns

A gchar

### webkit_dom_html_form_element_set_autocapitalize ()

    void
    webkit_dom_html_form_element_set_autocapitalize
                                   (WebKitDOMHTMLFormElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLFormElement |
value | A gchar |

### webkit_dom_html_form_element_dispatch_form_change ()

    void
    webkit_dom_html_form_element_dispatch_form_change
                                   (WebKitDOMHTMLFormElement *self);

`webkit_dom_html_form_element_dispatch_form_change` is deprecated and should not be used in newly-written code.

### webkit_dom_html_form_element_dispatch_form_input ()

    void
    webkit_dom_html_form_element_dispatch_form_input
                                   (WebKitDOMHTMLFormElement *self);

`webkit_dom_html_form_element_dispatch_form_input` is deprecated and should not be used in newly-written code.

## Types and Values

### WebKitDOMHTMLFormElement

    typedef struct _WebKitDOMHTMLFormElement WebKitDOMHTMLFormElement;

## Property Details

### The `“accept-charset”` property

      “accept-charset”           gchar *

read-write gchar* HTMLFormElement:accept-charset.

Flags: Read / Write

Default value: ""

### The `“action”` property

      “action”                   gchar *

read-write gchar* HTMLFormElement:action.

Flags: Read / Write

Default value: ""

### The `“autocapitalize”` property

      “autocapitalize”           gchar *

read-write gchar* HTMLFormElement:autocapitalize.

Flags: Read / Write

Default value: ""

### The `“autocomplete”` property

      “autocomplete”             gchar *

read-write gchar* HTMLFormElement:autocomplete.

Flags: Read / Write

Default value: ""

### The `“autocorrect”` property

      “autocorrect”              gboolean

read-write gboolean HTMLFormElement:autocorrect.

Flags: Read / Write

Default value: FALSE

### The `“elements”` property

      “elements”                 WebKitDOMHTMLCollection *

read-only WebKitDOMHTMLCollection* HTMLFormElement:elements.

Flags: Read

### The `“encoding”` property

      “encoding”                 gchar *

read-write gchar* HTMLFormElement:encoding.

Flags: Read / Write

Default value: ""

### The `“enctype”` property

      “enctype”                  gchar *

read-write gchar* HTMLFormElement:enctype.

Flags: Read / Write

Default value: ""

### The `“length”` property

      “length”                   glong

read-only glong HTMLFormElement:length.

Flags: Read

Default value: 0

### The `“method”` property

      “method”                   gchar *

read-write gchar* HTMLFormElement:method.

Flags: Read / Write

Default value: ""

### The `“name”` property

      “name”                     gchar *

read-write gchar* HTMLFormElement:name.

Flags: Read / Write

Default value: ""

### The `“no-validate”` property

      “no-validate”              gboolean

read-write gboolean HTMLFormElement:no-validate.

Flags: Read / Write

Default value: FALSE

### The `“target”` property

      “target”                   gchar *

read-write gchar* HTMLFormElement:target.

Flags: Read / Write

Default value: ""